<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>FacetView</title>

  <script type="text/javascript" src="vendor/jquery/1.7.1/jquery-1.7.1.min.js"></script>

  <link rel="stylesheet" href="vendor/bootstrap/css/bootstrap.min.css">
  <script type="text/javascript" src="vendor/bootstrap/js/bootstrap.min.js"></script>  

  <script type="text/javascript" src="vendor/linkify/1.0/jquery.linkify-1.0-min.js"></script>  
  
  <link rel="stylesheet" href="vendor/jquery-ui-1.8.18.custom/jquery-ui-1.8.18.custom.css">
  <script type="text/javascript" src="vendor/jquery-ui-1.8.18.custom/jquery-ui-1.8.18.custom.min.js"></script>

  <script type="text/javascript" src="jquery.facetview.js"></script>
  <script type="text/javascript">
    $(function($) {
  function hide_unused_options() {
    var toHide = ["option1", "Report"];
    for(var i = 0; i < toHide.length; i++){
      $("[href='" + toHide[i] + "']").parent().hide();
    }
  };
  function display_results() {
    $(".photoAlbumEntry").remove();
    var data = $.fn.facetview.options.data;
    var prependto = $(".facetview_metadata");
    for(var i = 0; i < data.records.length; i++){
      var element = data.records[i];
      var title = element['http://purl.org/dc/terms/title'];
      var url = element['http://www.w3.org/1999/02/22-rdf-syntax-ns#about'];
      var result = $("<div class='photoAlbumEntry'></div>");
      var a = $("<a href='" + url + "'></a>");
      result.append(a);
      a.append(
        $("<span class='photoAlbumEntryWrapper'></span>").append(
          $("<img src='" + url + "/image_thumb' />")));
      a.append(
        $("<span class='photoAlbumEntryTitle'>" + title + "</span>")
                             );
      prependto.before(result);
    }
  };
</script>
  <link rel="stylesheet" href="css/facetview.css">

  <script type="text/javascript">
jQuery(document).ready(function($) {
  $('.facet-view-simple').facetview({
    search_url: 'http://marcus.uib.no/elasticsearch/rdfdata/_search?',
    search_index: 'elasticsearch',
    display_images: 'true',
    facets: [
      {'field': 'http://www.w3.org/1999/02/22-rdf-syntax-ns#type', 'display': 'Klasse', 'size':'50', 'order': 'term'},
      {'field': 'http://purl.org/dc/terms/subject', 'display': 'Emne', 'size':'50', 'order':'term'},
      {'field': 'http://xmlns.com/foaf/0.1/maker', 'display': 'Forfatter', 'size':'50', 'order':'term'},
      {'field': 'topic', 'display' : 'Emne', 'size':'50', 'order':'term'}
    ],
    paging: {
      size: 10
    }
  });
});
  </script>

<style type="text/css">
.facet-view-simple{
    width:800px;
    height:600px;
    margin:20px auto 0 auto;
}
</style>

</head>
<body>

    <div class="facet-view-simple"></div>

</body>
</html>
